Saltar al contenido principal
PATCH
/
v1
/
dict
/
funds-recoveries
/
{funds_recovery_id}
Actualizar una solicitud de recuperación de fondos
curl --request PATCH \
  --url https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries/{funds_recovery_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contactInformation": {
    "email": "customer@example.com",
    "phone": "+5511999999999"
  },
  "situationType": "SCAM",
  "reportDetails": "Updated details about the fraud incident"
}
'
{
  "bacenFundsRecoveryId": "91d65e98-97c0-4b0f-b577-73625da1f9fc",
  "contactInformation": {
    "email": "customer@example.com",
    "phone": "+5511999999999"
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "reportDetails": "Customer reported receiving a call from fake bank employee",
  "reporterParticipant": "12345678",
  "rootTransactionId": "E12345678202411241430ABCDEFGHIJK",
  "situationType": "SCAM",
  "status": "CREATED",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

funds_recovery_id
string
requerido

ID de la recuperación de fondos (formato UUID)

Cuerpo

application/json
contactInformation
object
requerido

ContactInformation contiene la información de contacto de la persona que reporta el fraude

situationType
enum<string>
requerido

SituationType es el tipo de situación de fraude

Opciones disponibles:
SCAM,
ACCOUNT_TAKEOVER,
COERCION,
FRAUDULENT_ACCESS,
OTHER,
UNKNOWN
Ejemplo:

"SCAM"

reportDetails
string

ReportDetails es la descripción detallada del incidente de fraude

Maximum string length: 2000
Ejemplo:

"Updated details about the fraud incident"

Respuesta

OK

bacenFundsRecoveryId
string
Ejemplo:

"91d65e98-97c0-4b0f-b577-73625da1f9fc"

contactInformation
object
createdAt
string<date-time>
Ejemplo:

"2023-11-07T05:31:56Z"

id
string
Ejemplo:

"550e8400-e29b-41d4-a716-446655440000"

reportDetails
string
Ejemplo:

"Customer reported receiving a call from fake bank employee"

reporterParticipant
string
Ejemplo:

"12345678"

rootTransactionId
string
Ejemplo:

"E12345678202411241430ABCDEFGHIJK"

situationType
enum<string>
Opciones disponibles:
SCAM,
ACCOUNT_TAKEOVER,
COERCION,
FRAUDULENT_ACCESS,
OTHER,
UNKNOWN
Ejemplo:

"SCAM"

status
enum<string>
Opciones disponibles:
CREATED,
TRACKED,
AWAITING_ANALYSIS,
ANALYSED,
REFUNDING,
COMPLETED,
CANCELLED
Ejemplo:

"CREATED"

updatedAt
string<date-time>
Ejemplo:

"2023-11-07T05:31:56Z"